Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class RMIClassLoader

    java.lang.Object
      |
      +--weblogic.rmi.server.RMIClassLoader

public class RMIClassLoader
extends java.lang.Object
implements java.rmi.server.LoaderHandler

This class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`RMIClassLoader()`

Method Summary
`java.lang.Object` | `getSecurityContext(java.lang.ClassLoader loader)`
`java.lang.Class` | `loadClass(java.lang.String name)`
`java.lang.Class` | `loadClass(java.net.URL codebase, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIClassLoader

    public RMIClassLoader()

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.net.MalformedURLException,
                                     java.lang.ClassNotFoundException

  Specified by:
    loadClass in interface java.rmi.server.LoaderHandler

### loadClass

    public java.lang.Class loadClass(java.net.URL codebase,
                                     java.lang.String name)
                              throws java.net.MalformedURLException,
                                     java.lang.ClassNotFoundException

  Specified by:
    loadClass in interface java.rmi.server.LoaderHandler

### getSecurityContext

    public java.lang.Object getSecurityContext(java.lang.ClassLoader loader)

  Specified by:
    getSecurityContext in interface java.rmi.server.LoaderHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD